DirStat (Sigar API)
Date: 2009-07-09

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hyperic.sigar
Class DirStat

    java.lang.Object
      org.hyperic.sigar.DirStat

All Implemented Interfaces:
  java.io.Serializable

    public class DirStat

extends java.lang.Object
implements java.io.Serializable

DirStat sigar class.

See Also:
  Serialized Form

Constructor Summary
`DirStat()`

Method Summary
`void` | `gather(Sigar sigar, java.lang.String name)`
`long` | `getBlkdevs()` Get the blkdevs.
`long` | `getChrdevs()` Get the chrdevs.
`long` | `getDiskUsage()` Get the disk_usage.
`long` | `getFiles()` Get the files.
`long` | `getSockets()` Get the sockets.
`long` | `getSubdirs()` Get the subdirs.
`long` | `getSymlinks()` Get the symlinks.
`long` | `getTotal()` Get the total.
`java.util.Map` | `toMap()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### DirStat

    public DirStat()

Method Detail

### gather

    public void gather(Sigar sigar,
                       java.lang.String name)
                throws SigarException

  Throws:
    `SigarException`

### getTotal

    public long getTotal()

  Get the total.

  Supported Platforms: Undocumented.

  Returns:
    total

### getFiles

    public long getFiles()

  Get the files.

  Supported Platforms: Undocumented.

  Returns:
    files

### getSubdirs

    public long getSubdirs()

  Get the subdirs.

  Supported Platforms: Undocumented.

  Returns:
    subdirs

### getSymlinks

    public long getSymlinks()

  Get the symlinks.

  Supported Platforms: Undocumented.

  Returns:
    symlinks

### getChrdevs

    public long getChrdevs()

  Get the chrdevs.

  Supported Platforms: Undocumented.

  Returns:
    chrdevs

### getBlkdevs

    public long getBlkdevs()

  Get the blkdevs.

  Supported Platforms: Undocumented.

  Returns:
    blkdevs

### getSockets

    public long getSockets()

  Get the sockets.

  Supported Platforms: Undocumented.

  Returns:
    sockets

### getDiskUsage

    public long getDiskUsage()

  Get the disk_usage.

  Supported Platforms: Undocumented.

  Returns:
    disk_usage

### toMap

    public java.util.Map toMap()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright ? 2004-2009 Hyperic. All Rights Reserved.